A new redmine link to include issue title
Status: Closed Start date: 2010-05-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

This is actually a duplicate of #988 but I cannot seem to be able to re-open that issue so I'll just create it here again and give my

reasons as to why I don't think it isn't already resolved.

On our wiki pages where we write our specifications we refer to issues that are in a Specification tracker. It is important to us that we

can quickly scan these pages and get an idea of what the outstanding specification 'issues' are about (i.e. without having to hover

over each issue just to get the issue's title) . So therefore I often find myself writing long lists of issue ids with entries in the form of:

Title of specification issue (#34)

The problem is the extra time it takes to compile such lists because I need to spend time copying and pasting issue subjects from

issues to the wiki. Not to mention that when an issue changes its subject I then have to proceed and fix this in the specification wiki

as well. Thus, it would be great if there was a way to write issue links that would automatically include the issue subject in the wiki

page.

Related issues:

Related to Redmine - Feature #988: A new redmine link to include issue title Closed 2008-04-03

Is duplicate of Redmine - Patch #29488: ##123 syntax for linking to issues wi... Closed

History

#1 - 2010-06-10 08:39 - Jean-Baptiste Barth

Maybe you could use Eric's wiki_issue_details plugin ? See here for more informations : PluginWikiIssueDetails

#2 - 2010-06-10 08:58 - Felix Schäfer

See the plugin.

Any particular reason you need list of issues on a wiki page, why not use a custom query?

#3 - 2010-06-10 09:33 - Joe Siponen

We'll the issue list is great for viewing and managing issues but not for writing and managing a system specification simply because an issue list is not

readable as a document. The wiki on the other hand is great for writing full system specifications but doesn't reflect the project's status as issues are

closed and, vice versa, the redmine issues does not provide us a good way to know if the system is built to specification. Therefore our specification

in the wiki references the development tasks (usually the issues names with a issue link are used as headings in the specification) so that we can see

in the wiki specification what parts of the specification has been developed.

The PluginWikiIssueDetails seems to fit well here by making it easier for us to manage the specification so that we don't have to copy paste the name

of issues and also because it allows us change the subject of an issue and allow that change to be automatically reflected in our specification.

#4 - 2011-05-23 23:12 - Fernando Hartmann

+1

It can be very useful to have some new tag to show the ticket title, ie , some text in Wiki referring a ticket nowadays only shows the  the ticket number,

and this force the reader t move the mouse pointer over the number and wait some seconds, to see the tip, it would be much better if the title is

showed instead, and, if the user click over the title the ticket is showed.

#5 - 2012-08-13 20:31 - Cassiano Monteiro

+1!

#6 - 2013-03-14 11:25 - C. X.
It seems that it isn't working with Redmine 2.x.

The installation breaks with following message:

root:/var/lib/redmine# rake redmine:plugins:migrate RAILS_ENV=production --trace

(in /var/lib/redmine)

Invoke redmine:plugins:migrate (first_time)

Invoke environment (first_time)

Execute environment

rake aborted!

no such file to load -- dispatcher

#7 - 2013-11-03 17:43 - Bintintan Andrei

Looking for this feature since 2 Hours, then I found this plugin. It works quite well. http://www.redmine.org/plugins/wiki_issue_fields

There is another plugin which is not maintained anymore... probably it should be removed

#8 - 2018-09-12 02:50 - Go MAEDA

- Category changed from Wiki to Text formatting

- Status changed from New to Closed

- Resolution set to Duplicate

A very similar feature was implemented by #29488.
#9 - 2018-09-12 02:50 - Go MAEDA

- Is duplicate of Patch #29488: ##123 syntax for linking to issues with tracker name and subject added
